"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
/**
 * Determine whether the current platform is 64 bit.
 *
 * @returns {Boolean}
 */
function is64Bit() {
    return ["arm64", "ppc64", "x64", "s390x"].includes(os.arch());
}
exports.default = is64Bit;
//# sourceMappingURL=is64Bit.js.map