"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.msBuildAnalyzerSettingsTemplate = void 0;
exports.msBuildAnalyzerSettingsTemplate = `
<?xml version="1.0" encoding="utf-8"?>
<ApplicationSettings xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Filters />
  <FileMasks>
    <string>*.tlh</string>
    <string>*.tli</string>
  </FileMasks>
  <DisableSynchronizeSuppressFiles>false</DisableSynchronizeSuppressFiles>
  <FalseAlarmsEnabled>false</FalseAlarmsEnabled>
  <InsertFalseAlarmComment>false</InsertFalseAlarmComment>
  <PathMasks>
    <string>\\boost\\</string>
    <string>\\zlib\\</string>
    <string>\\png\\</string>
    <string>\\libpng\\</string>
    <string>\\pnglib\\</string>
    <string>\\freetype\\</string>
    <string>\\ImageMagick\\</string>
    <string>\\jpeglib\\</string>
    <string>\\libxml\\</string>
    <string>\\libxslt\\</string>
    <string>\\tifflib\\</string>
    <string>\\wxWidgets\\</string>
    <string>\\libtiff\\</string>
    <string>\\mesa\\</string>
    <string>\\cximage\\</string>
    <string>\\bzip2-</string>
    <string>\\bzip2\\</string>
    <string>\\UE_*\\Engine\\Source\\</string>
  </PathMasks>
  <UncheckedButtons>toolstrip_L3Warnings toolStripButton_OP toolStripButton_64</UncheckedButtons>
  <DisableDetectableErrors>V001 V051 V122 V126 V201 V202 V203 V2001 V2002 V2003 V2004 V2005 V2006 V2007 V2008 V2009 V2010 V2011 V2012 V2013 V2501 V2502 V2503 V2504 V2505 V2506 V2507 V2508 V2509 V2510 V2511 V2512 V2513 V2514 V2515 V2516 V2517 V2518 V2519 V2520 V2521 V2522 V2523 V2524 V2525 V3031 V3059 V3163 V3164 </DisableDetectableErrors>
  <UserName />
  <SerialNumber />
  <Version>7.25</Version>
  <InstallDir />
  <StatisticsFilter />
  <EnableSuppressedMessagesInStatistics>false</EnableSuppressedMessagesInStatistics>
  <RemoveIntermediateFiles>true</RemoveIntermediateFiles>
  <ShowBestWarningsButton>true</ShowBestWarningsButton>
  <ReportDisabledRules>false</ReportDisabledRules>
  <IncrementalAnalysis>true</IncrementalAnalysis>
  <UseSolutionFolderAsInitial>true</UseSolutionFolderAsInitial>
  <AutoloadUnrealEngineLog>false</AutoloadUnrealEngineLog>
  <IntermodularAnalysisCpp>false</IntermodularAnalysisCpp>
  <Disable64BitAnalysis>true</Disable64BitAnalysis>
  <DisableGAAnalysis>false</DisableGAAnalysis>
  <DisableOPAnalysis>false</DisableOPAnalysis>
  <DisableOPAnalysisCs>false</DisableOPAnalysisCs>
  <DisableCSAnalysis>true</DisableCSAnalysis>
  <DisableMISRAAnalysis>true</DisableMISRAAnalysis>
  <DisableAUTOSARAnalysis>true</DisableAUTOSARAnalysis>
  <DisableOWASPAnalysis>true</DisableOWASPAnalysis>
  <DisableOWASPAnalysisCs>true</DisableOWASPAnalysisCs>
  <DisableGAAnalysisCs>false</DisableGAAnalysisCs>
  <PerformPreBuildStep>false</PerformPreBuildStep>
  <PerformTFVCCheckout>false</PerformTFVCCheckout>
  <AutoSettingsImport>false</AutoSettingsImport>
  <NoNoise>false</NoNoise>
  <ThreadCount>8</ThreadCount>
  <CheckForNewVersions>true</CheckForNewVersions>
  <Preprocessor>VisualCPP</Preprocessor>
  <TypesForNonLargeArrays />
  <SourceTreeRoot />
  <UseSolutionDirAsSourceTreeRoot>false</UseSolutionDirAsSourceTreeRoot>
  <SaveModifiedLog>Ask_Always</SaveModifiedLog>
  <ColumnStates>
    <Order>60</Order>
    <ErrorCode>65</ErrorCode>
    <CWE>75</CWE>
    <SAST>125</SAST>
    <Message>300</Message>
    <Project>200</Project>
    <ShortFile>200</ShortFile>
    <Line>110</Line>
    <Project_IsVisible>false</Project_IsVisible>
    <Order_IsVisible>false</Order_IsVisible>
    <File_IsFullPath>false</File_IsFullPath>
  </ColumnStates>
  <ShowPVSTrayIcon>true</ShowPVSTrayIcon>
  <DisplayCWE>false</DisplayCWE>
  <DisplaySAST>false</DisplaySAST>
  <TraceModePVS>Off</TraceModePVS>
  <IncrementalDepthLevel>Show_Level1_and_Level2</IncrementalDepthLevel>
  <HelpLanguage>English</HelpLanguage>
  <SafeTypes />
  <SaveAfterEachMarkAsFalseAlarm>true</SaveAfterEachMarkAsFalseAlarm>
  <AnalysisTimeout>After_10_minutes</AnalysisTimeout>
  <IncrementalAnalysisTimeout>After_2_minutes</IncrementalAnalysisTimeout>
  <DontCloseAfterAnalysis>false</DontCloseAfterAnalysis>
</ApplicationSettings>
`.trim();
//# sourceMappingURL=msBuildAnalyzerSettingsTemplate.js.map